Subject: bug#47996: Installer Error

From: Ludovic Courtès <[email-masked]>
Date: Fri, 30 Apr 2021 17:42:57 +0200

Hi,

"W;P" <[email-masked]> skribis:

> I was not successful at installing Guix onto a virtual machine. At the end
> I get an error message. I believe it is some how related to the file
> system. I tried first with btrfs twice, I did manual partitioning first,
> but when it errored the first time, I figured I did it wrong, so I did
> btrfs with automatic partition, with the same issue, so I tried again with
> ext, and the issue persisted. Enclodes are screenshots of the error screen.
> I was not successful at installing Guix onto a virtual machine. At the end I get an error message. I believe it is
> some how related to the file system. I tried first with btrfs twice, I did manual partitioning first, but when it
> errored the first time, I figured I did it wrong, so I did btrfs with automatic partition, with the same issue, so I
> tried again with ext, and the issue persisted. Enclodes are screenshots of the error screen. 

The screenshots show (although the backtrace is intimidating!) that the
‘mkfs.ext4’ and ‘mkfs.btrfs’ commands failed, although unfortunately we
cannot see their error messages.

Can you confirm that you used the 1.2.0 ISO image from
<https://guix.gnu.org/en/download>?

Could you explain how to reproduce the problem: how to launch the VM,
how to attach a virtual disk, what size the disk is, etc.?

Thanks in advance,
Ludo’.